View Issue Details

IDProjectCategoryView StatusLast Update
0005538Talerwallet (WebExtensions)public2019-12-26 21:37
ReporterLUG Assigned ToMarcello Stanisci  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformFirefoxOSUbuntu 
Target Version0.6Fixed in Version0.6 
Summary0005538: Broken page at "view product" in transaction history
DescriptionWhenever I donate and then click on the "view product" link in my transaction history in the browser wallet addon for that recent donation, I get redirected to a link such like:
https://donations.demo.taler.net/donation/GNUnet
https://donations.demo.taler.net/donation/Tor

and see the following error message:

An Error Occurred

Internal error

Stack trace:

    Traceback (most recent call last):
  File "/home/demo-blue/local/lib/python3.5/site-packages/flask/app.py", line 1612, in full_dispatch_request
    rv = self.dispatch_request()
  File "/home/demo-blue/local/lib/python3.5/site-packages/flask/app.py", line 1598, in dispatch_request
    return self.view_functions[rule.endpoint](**req.view_args)
  File "/home/demo-blue/local/lib/python3.5/site-packages/talerdonations/donations/donations.py", line 153, in fulfillment
    order_id = expect_parameter("order_id")
  File "/home/demo-blue/local/lib/python3.5/site-packages/talerdonations/donations/donations.py", line 92, in expect_parameter
    return err_abort(400, "parameter '{}' required".format(name))
TypeError: err_abort() takes 1 positional argument but 2 were given
TagsNo tags attached.

Activities

Marcello Stanisci

2019-02-14 18:09

viewer   ~0013779

Thanks for reporting. This is fixed in the 'stable' branch, now, at commit 87e8e0b.

Issue History

Date Modified Username Field Change
2019-02-02 11:57 LUG New Issue
2019-02-02 11:57 LUG Status new => assigned
2019-02-02 11:57 LUG Assigned To => Marcello Stanisci
2019-02-14 14:13 Christian Grothoff Target Version => 0.6
2019-02-14 18:09 Marcello Stanisci Note Added: 0013779
2019-02-14 18:09 Marcello Stanisci Status assigned => resolved
2019-02-14 18:09 Marcello Stanisci Resolution open => fixed
2019-12-20 19:11 Christian Grothoff Fixed in Version => 0.6
2019-12-20 19:11 Christian Grothoff Status resolved => closed
2019-12-26 21:37 Florian Dold Category wallet (browser-based) => wallet (WebExtensions)